<?php

add_action('profile_personal_options', 'medo_opengraph_profile_personal_options_action' );
add_action('personal_options_update', 'medo_opengraph_personal_options_update_action' );


function medo_opengraph_profile_personal_options_action($user) {
    $facebook_id = get_user_meta($user->ID, 'medo_opengraph_facebook_id', true);
    $twitter_name = get_user_meta($user->ID, 'medo_opengraph_twitter_name', true);

    ?>
        <h3 id="medo_opengraph">Medo OpenGraph</h3>
        <table class="form-table">
            <tr class="user-user-login-wrap">
		<th><label for="medo_opengraph_facebook_id">Facebook ID</label></th>
		<td>
                    <input type="text" name="medo_opengraph_facebook_id" value="<?php echo esc_attr($facebook_id); ?>" class="regular-text" placeholder="1294114698" />
                    <span class="description">Facebook ID to be used for user's post OpenGraph metadata.</span>
                </td>
	    </tr>
            <tr class="user-user-login-wrap">
                <th><label for="medo_opengraph_twitter_name">Twitter Name</label></th>
                <td>
                    <input type="text" name="medo_opengraph_twitter_name" value="<?php echo esc_attr($twitter_name); ?>" class="regular-text" placeholder="medo64" />
                    <span class="description">Twitter name to be used for user's post OpenGraph metadata.</span>
                </td>
            </tr>
        </table>
    <?php
}


function medo_opengraph_personal_options_update_action($user_id) {
    if (!current_user_can('edit_user', $user_id) ) { return; }

    $facebook_id = trim($_POST['medo_opengraph_facebook_id']);
    $twitter_name = trim($_POST['medo_opengraph_twitter_name']);

    if (preg_match('/^[0-9]{0,15}$/', $facebook_id)) { update_user_meta($user_id, 'medo_opengraph_facebook_id', $facebook_id); }
    if (preg_match('/^[a-z0-9_]{0,15}$/i', $twitter_name)) { update_user_meta($user_id, 'medo_opengraph_twitter_name', $twitter_name); }
}

?>
